2019-01-16 17:30 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002066NetSurfGTK-specificpublic2015-03-10 11:17
ReporterAng Jinhang 
Assigned ToJohn-Mark Bell 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version13.10
Product Version3.0 
Target VersionFixed in Version3.2 
Summary0002066: Failed to type Chinese text in input boxes
DescriptionI have the Chinese input method configured on my Ubuntu system, and it works on other browsers like Midori and Firefox. But it won't in Netsurf. After changing the input method to Chinese, it still outputs alphebets like I'm typing English. Strange.
Steps To ReproduceEasy. Set your input method to Chinese in Ubuntu 13.10 (don't use ibus, configure the input method using the 'Text Entry' in Settings), and find a searchbox to try it out.
Additional InformationNetsurf will still display Chinese characters beautifully, and copying and pasting works too. Only the input boxes have problems.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
John-Mark Bell

~0000245

John-Mark Bell (administrator)

This may be improved in latest git. If you're able to build and test that, it would be a great help. Alternatively, if you could point me at some documentation on how to configure and use any of the various IMEs, that would also help.
Ang Jinhang

~0000247

Ang Jinhang (reporter)

I will try the latest git soon. Thanks for reminding.
Vincent Sanders

~0000264

Vincent Sanders (administrator)

is there any feedback on this?
Ang Jinhang

~0000280

Ang Jinhang (reporter)

I'm sorry but I don't have my Linux box with me these days. Without it I can't do a thing :(
John-Mark Bell

~0000539

John-Mark Bell (administrator)

Closing, presumed fixed.
Vincent Sanders

~0000728

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-02-07 08:35 Ang Jinhang New Issue
2014-02-07 16:05 Vincent Sanders Status new => acknowledged
2014-02-17 00:32 John-Mark Bell Note Added: 0000245
2014-02-17 00:32 John-Mark Bell Assigned To => John-Mark Bell
2014-02-17 00:32 John-Mark Bell Status acknowledged => feedback
2014-02-17 14:47 Ang Jinhang Note Added: 0000247
2014-02-17 14:47 Ang Jinhang Status feedback => assigned
2014-02-27 00:07 Vincent Sanders Status assigned => feedback
2014-03-11 14:24 Vincent Sanders Note Added: 0000264
2014-03-18 06:09 Ang Jinhang Note Added: 0000280
2014-03-18 06:09 Ang Jinhang Status feedback => assigned
2014-03-18 23:41 Vincent Sanders Status assigned => confirmed
2014-11-16 13:35 John-Mark Bell Note Added: 0000539
2014-11-16 13:35 John-Mark Bell Status confirmed => resolved
2014-11-16 13:35 John-Mark Bell Resolution open => fixed
2014-11-16 13:35 John-Mark Bell Fixed in Version => 3.2
2015-03-10 11:17 Vincent Sanders Note Added: 0000728
2015-03-10 11:17 Vincent Sanders Status resolved => closed
+Issue History